import { Process, Processor } from '@nestjs/bull';
import { Injectable } from '@nestjs/common';
import { QUEUE_NAME, ScreenshotJob } from './shared';

@Injectable()
@Processor(QUEUE_NAME)
export class ScreenshotsProcessor {
  @Process()
  async handleScreenshotJob(job: ScreenshotJob) {
    job.moveToCompleted('abc')
  }
}
